Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## context.arch.util
Class ContextTypes

    java.lang.Object
      |
      +--context.arch.util.ContextTypes

public class ContextTypes
extends java.lang.Object

This is a helper class that keeps track of all the tags used for context information.

Field Summary
`static java.lang.String` | `AFFILIATION` Tag for affiliation
`static java.lang.String` | `ALL` Tag for all
`static java.lang.String` | `CONFERENCE_SCHEDULE_URL` Tag for the conference schedule URL
`static java.lang.String` | `CONTACT_INFO` Tag for contact info
`static java.lang.String` | `DEMO` Tag for demo
`static java.lang.String` | `DEMO_INTEREST` Tag for demo interest struct
`static java.lang.String` | `DEMO_INTERESTS` Tag for demo interests struct
`static java.lang.String` | `DEMO_NAME` Tag for demo name
`static java.lang.String` | `DEMO_URL` Tag for display device being carried
`static java.lang.String` | `DEMOER_URL` Tag for display device being carried
`static java.lang.String` | `DEMOS` Tag for demos
`static java.lang.String` | `DESCRIPTION` Tag for demo description
`static java.lang.String` | `DISPLAY_DEVICE` Tag for display device being carried
`static java.lang.String` | `EMAIL` Tag for contact info - email
`static java.lang.String` | `FALSE` Tag for false
`static java.lang.String` | `GRAPHICS` Tag for display graphics
`static java.lang.String` | `GROUP` Tag for group
`static java.lang.String` | `HEIGHT` Tag for display height
`static java.lang.String` | `IBUTTONID` Tag for iButton id
`static java.lang.String` | `IN` Tag for being in
`static java.lang.String` | `INOUT` Tag for in/out status
`static java.lang.String` | `INTEREST_LEVEL` Tag for tour demo
`static java.lang.String` | `INTERESTS` Tag for INTERESTS
`static java.lang.String` | `KEYWORDS` Tag for demo keywords
`static java.lang.String` | `LOCATION` Tag for user location
`static java.lang.String` | `MAXIMUM_INTEREST` Tag for minimum interest
`static java.lang.String` | `MEDIUM_INTEREST` Tag for minimum interest
`static java.lang.String` | `MINIMUM_INTEREST` Tag for minimum interest
`static java.lang.String` | `MINSPEED` Tag for average speed
`static java.lang.String` | `NAME` Tag for contact info - name
`static java.lang.String` | `OUT` Tag for being out
`static java.lang.String` | `STATUS` Tag for status
`static java.lang.String` | `TEMPERATURE` Tag for temperature
`static java.lang.String` | `TOUR_END` Tag for tour end
`static java.lang.String` | `TRUE` Tag for true
`static java.lang.String` | `UNITS` Tag for units
`static java.lang.String` | `URL` Tag for URL
`static java.lang.String` | `USERID` Tag for user id
`static java.lang.String` | `USERNAME` Tag for username
`static java.lang.String` | `VOLUME` Tag for volume
`static java.lang.String` | `WIDTH` Tag for display width

Constructor Summary
`ContextTypes()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IBUTTONID

    public static final java.lang.String IBUTTONID

  Tag for iButton id

### USERNAME

    public static final java.lang.String USERNAME

  Tag for username

### GROUP

    public static final java.lang.String GROUP

  Tag for group

### URL

    public static final java.lang.String URL

  Tag for URL

### USERID

    public static final java.lang.String USERID

  Tag for user id

### LOCATION

    public static final java.lang.String LOCATION

  Tag for user location

### CONTACT_INFO

    public static final java.lang.String CONTACT_INFO

  Tag for contact info

### NAME

    public static final java.lang.String NAME

  Tag for contact info - name

### EMAIL

    public static final java.lang.String EMAIL

  Tag for contact info - email

### VOLUME

    public static final java.lang.String VOLUME

  Tag for volume

### AFFILIATION

    public static final java.lang.String AFFILIATION

  Tag for affiliation

### INTERESTS

    public static final java.lang.String INTERESTS

  Tag for INTERESTS

### INTEREST_LEVEL

    public static final java.lang.String INTEREST_LEVEL

  Tag for tour demo

### MINIMUM_INTEREST

    public static final java.lang.String MINIMUM_INTEREST

  Tag for minimum interest

### MEDIUM_INTEREST

    public static final java.lang.String MEDIUM_INTEREST

  Tag for minimum interest

### MAXIMUM_INTEREST

    public static final java.lang.String MAXIMUM_INTEREST

  Tag for minimum interest

### TOUR_END

    public static final java.lang.String TOUR_END

  Tag for tour end

### FALSE

    public static final java.lang.String FALSE

  Tag for false

### TRUE

    public static final java.lang.String TRUE

  Tag for true

### MINSPEED

    public static final java.lang.String MINSPEED

  Tag for average speed

### IN

    public static final java.lang.String IN

  Tag for being in

### OUT

    public static final java.lang.String OUT

  Tag for being out

### INOUT

    public static final java.lang.String INOUT

  Tag for in/out status

### ALL

    public static final java.lang.String ALL

  Tag for all

### STATUS

    public static final java.lang.String STATUS

  Tag for status

### TEMPERATURE

    public static final java.lang.String TEMPERATURE

  Tag for temperature

### UNITS

    public static final java.lang.String UNITS

  Tag for units

### WIDTH

    public static final java.lang.String WIDTH

  Tag for display width

### HEIGHT

    public static final java.lang.String HEIGHT

  Tag for display height

### GRAPHICS

    public static final java.lang.String GRAPHICS

  Tag for display graphics

### DISPLAY_DEVICE

    public static final java.lang.String DISPLAY_DEVICE

  Tag for display device being carried

### DEMO_URL

    public static final java.lang.String DEMO_URL

  Tag for display device being carried

### DEMOER_URL

    public static final java.lang.String DEMOER_URL

  Tag for display device being carried

### KEYWORDS

    public static final java.lang.String KEYWORDS

  Tag for demo keywords

### DESCRIPTION

    public static final java.lang.String DESCRIPTION

  Tag for demo description

### DEMO

    public static final java.lang.String DEMO

  Tag for demo

### DEMOS

    public static final java.lang.String DEMOS

  Tag for demos

### DEMO_NAME

    public static final java.lang.String DEMO_NAME

  Tag for demo name

### DEMO_INTEREST

    public static final java.lang.String DEMO_INTEREST

  Tag for demo interest struct

### DEMO_INTERESTS

    public static final java.lang.String DEMO_INTERESTS

  Tag for demo interests struct

### CONFERENCE_SCHEDULE_URL

    public static final java.lang.String CONFERENCE_SCHEDULE_URL

  Tag for the conference schedule URL

Constructor Detail

### ContextTypes

    public ContextTypes()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD